body {
    @import url(https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap);
    margin: 0;
    padding: 0;
    background-color: #def2f1;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #2b7a78;
    padding: 10px 20px;
    position: relative;
}

.nav-logo a {
    display: flex;
    align-items: center;
    color: #def2f1;
    font-size: 30px;
    font-weight: bold;
    text-decoration: none;
    transition: color 0.3s;
}

.nav-logo img {
    width: 60px;
    height: 60px;
    margin-right: 10px;
}

.nav-logo a:hover {
    color: #17252a;
}

.nav-menu {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.nav-item {
    margin-left: 20px;
    position: relative;
}

.nav-item a {
    color: #feffff;
    text-decoration: none;
    padding: 10px 20px;
    display: block;
    transition: color 0.3s, background-color 0.3s, transform 0.3s;
}

.nav-item a:hover {
    color: #17252a;
    background-color: #def2f1;
    border-radius: 5px;
    transform: scale(1.1); 
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #2b7a78;
    min-width: 160px;
    box-shadow: 0 8px 16px #2b7a78;
    z-index: 1;
    border-radius: 5px;
    opacity: 0;
    transition: opacity 0.3s;
}

.dropdown-content a {
    color: #17252a;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    transition: color 0.3s, background-color 0.3s;
}

.dropdown-content a:hover {
    background-color: #def2f1;
    color: #17252a; 
}

.dropdown:hover .dropdown-content {
    display: block;
    opacity: 1;
}

.dropdown-content a:first-child {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.dropdown-content a:last-child {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.dropdown-items {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.dropdown-items span {
    background-color: #17252a;
    border-radius: 2px;
    display: block;
    height: 3px;
    margin: 5px 0;
    width: 25px;
    transition: all 0.3s;
}


@media (max-width: 768px) {
    .nav-menu {
        display: none;
        flex-direction: column;
        width: 100%;
        position: absolute;
        top: 50px;
        left: 0;
        background-color: #2b7a78;
        padding: 0;
    }

    .nav-menu.active {
        display: flex;
    }

    .nav-item {
        margin-left: 30px;
    }

    .nav-item a {
        padding: 10px;
        border-top: 1px solid #2b7a78;
    }

    .dropdown-items {
        display: flex;
    }
}
header {
    padding: 20px;
    text-align: center;
    color: #2b7a78;
    animation: fade-in 2s; 
  }
  h1 {
    margin: 0;
    font-size: 2em;
  }
  
  h2 {
    margin: 20px;
    font-size: 1.5em;
    color: #2b7a78;
    animation: fade-in 2s; 
  }
  
  section {
    padding: 20px;
    border-bottom: 1px solid #2b7a78;
    animation: pulse 2s;
  }
  
  h3 {
    text-align: center;
    font-size: 1.75em;
    margin-bottom: 20px;
    color:  #2b7a78;
    animation: pulse 2s;
  }
  .content {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin: 20px 40px;
  }
  
  .text ul {
    list-style: none;
    padding: 0;
  }
  
  .text ul li {
    background: #2b7a78;
    margin: 10px 0;
    padding: 10px;
    border-radius: 5px;
    animation: pulse 2s;
  }
    
  .course, .review {
    flex: 1 1 20%;
    background: #3aafa9;
    margin: 20px;
    padding: 30px;
    border-radius: 5px;
    box-shadow: 0 2px 4px #2b7a78;
    text-align: center;
    align-items: start;
    animation: pulse 2s;
  }
  
  .course h4, .review h4 {
    margin-top: 0;
  }
  
  .course p, .review p {
    font-size: 0.9em;
    color: #2b7a78;
  }
  .container{
    display: flex;
    flex-wrap: wrap;
    width: 80%;
    margin: 20px auto;
    justify-content: space-between;
}
.card{
    width: 350px;
    border: #2b7a78 solid 2px;
    display: flex;
    flex-direction: column;
    padding: 5px;
    justify-content: center;
    align-items: center;
    text-align: center;
    transition: 1s ease-in;
    border-radius: 10px;
    color: #2b7a78;
    margin: 20px;
    animation: pulse 2s;
}
.imgbg img{
    width: 250px;
    border-radius: 20px;
    height: 250px;
    margin: 20px;
    animation: pulse 2s;
}
.card:hover{
   border:  #2b7a78 solid 3px;
   box-shadow: #2b7a78 0px 0px 5px;
}
.ias-sc{
    text-align: center;
    margin: 40px;
    color: #2b7a78;
}
.button {
    display: inline-block;
    border-radius: 10px;
    background-color: #3aafa9;
    color: #feffff;
    border: none;
    text-align: center;
    width: 80px;
    height: 40px;
    transition: all 0.5s;
    cursor: pointer;
    text-decoration: none;
    animation: pulse 2s;
  }
  
  .button span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
  }
  
  .button span:after {
    content:icon;
    position: absolute;
    opacity: 0;
    top: 0;
    right: -20px;
    transition: 0.5s;
  }
  
  .button:hover span {
    padding-right: 10px;
  }
  
  .button:hover span:after {
    opacity: 1;
    right: 0;
  }
  .link{
    text-decoration: none;
    text-align: center;
    color: #feffff;
  }

.row:hover{
    border: #3aafa9 solid 3px;
}
.info-img img{
    height: 200px;
    width: 350px;
    border-radius: 10px;
    animation: pulse 2s;
}
.info{
    width: 50%;
}
.info h1{
    text-align: center;
}
.info h3{
    margin: 10px 0;
    font-size: 25px;
}
.info p{
    font-size: 15px
}
.row-info{
    color: #2b7a78;
}
.row{
    display: flex;
    margin: 10px auto;
    padding: 19px;
    width: 90%;
    justify-content: space-around;
    border: #2b7a78 solid 2px;
    border-radius: 10px;
    transition: 1s ease-in-out;
    margin-top: 30px;
    color: #2b7a78;
    animation: pulse 2s;
  }

  .btn{
    margin: 5px;
    height: 30px;
    width: 80px;
    background-color: #3aafa9;
    color: #feffff;
    padding: 3px;
    border-radius: 10px  ;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: pulse 2s;
  }
  .btn a{
    list-style-type: none;
    text-decoration:none ;
    font-size: 15px;
    color: #feffff;
  }
  .btn:hover{
    background-color:#2b7a78 ;
  }
  @keyframes fade-in {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }
  
  @keyframes slide-in {
    0% {
      transform: translateX(-100%);
    }
    100% {
      transform: translateX(0);
    }
  }
  
  @keyframes bounce-in {
    0% {
      transform: scale(0.5);
    }
    100% {
      transform: scale(1);
    }
  }
  
  @keyframes zoom-in {
    0% {
      transform: scale(0.5);
    }
    100% {
      transform: scale(1);
    }
  }
  
  @keyframes slide-up {
    0% {
      transform: translateY(100%);
    }
    100% {
      transform: translateY(0);
    }
  }
  
  @keyframes pulse {
    0% {
      transform: scale(0.9);
    }
    100% {
      transform: scale(1);
    }
  }
  
  @keyframes rotate-in {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  .btn-read{
    text-decoration: none;
    color: #17252a;
  }
  #search-results{
    text-align: center;
    color: #17252a;
    margin: 20px;
  }
  .search-container{
    max-width: 450px;
    margin: 20px auto;
    padding: 20px;
    background-color: #def2f1;
    border-radius: 10px;
    box-shadow: 0 0 10px #3aafa9;
    animation: pulse 2s;
  }
  #search-input{
    width: 300px;
    height: 50px;
    border-radius: 5px;
    animation: pulse 2s;
  }
#search-btn{
  background-color: #3aafa9;
  border: none;
  color: #17252a;
  padding: 15px 30px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 15px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 10px;
  animation: pulse 2s;
}
/* theme change */
body {
  transition: background-color 0.5s;
}

.dark-theme {
  background-color: #17252a;
  color: #fff;
}

.light-theme {
  background-color: #f9f9f9;
  color: #333;
}

.theme-changer {
  position: fixed;
  top: 10px;
  right: 10px;
  z-index: 1;
  cursor: pointer;
}

#theme-icon {
  width: 30px;
  height: 30px;
  transition: transform 0.5s;
}

#theme-icon:hover {
  transform: scale(1.1);
}

/* Media queries for 570px or less */
@media (max-width: 570px) {
  .search-container {
    max-width: 300px;
      box-shadow: none;
  }

  #search-input {
    width: 150px;
    height: 40px;
      margin-bottom: 10px;
  }

  #search-btn {
      width: 40%;
      padding: 10px;
  }

  .row {
      flex-direction: column;
      padding: 10px;
  }

  .info, .info-img {
      width: 50%;
      margin-bottom: 20px;
      text-align: center;
  }

  .info h3 {
      font-size: 20px;
  }

  .info p {
      font-size: 14px;
  }

  .btn {
      width: 100%;
  }
}
